org.eclipse.viatra.addon.querybasedfeatures.runtime.handler

## Class QueryBasedFeatures

- java.lang.Object
- - org.eclipse.viatra.addon.querybasedfeatures.runtime.handler.QueryBasedFeatures

-     public class QueryBasedFeatures
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANNOTATION_LITERAL`
    `static java.lang.String` | `ANNOTATION_SOURCE`
    `static java.lang.String` | `ECORE_ANNOTATION`
    `static java.lang.String` | `LEGACY_ANNOTATION_SOURCE`
    `static java.lang.String` | `PATTERN_FQN_KEY`
    `static java.lang.String` | `SETTING_DELEGATES_KEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkEcoreAnnotation(org.eclipse.emf.ecore.EPackage pckg, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.String patternFQN, boolean useModelCode)`
    `static boolean` | `checkEcorePackageAnnotation(org.eclipse.emf.ecore.EPackage pckg)`
    `static boolean` | `checkFeatureAnnotation(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.String patternFQN)`
    `static MultiValueQueryBasedFeature` | `newMultiValueFeatue(org.eclipse.emf.ecore.EStructuralFeature feature, boolean keepCache)`
    `static SingleValueQueryBasedFeature` | `newSingleValueFeature(org.eclipse.emf.ecore.EStructuralFeature feature, boolean keepCache)`
    `static SumQueryBasedFeature` | `newSumFeature(org.eclipse.emf.ecore.EStructuralFeature feature)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANNOTATION_LITERAL

          public static final java.lang.String ANNOTATION_LITERAL

      See Also:
        Constant Field Values

    - #### ANNOTATION_SOURCE

          public static final java.lang.String ANNOTATION_SOURCE

      See Also:
        Constant Field Values

    - #### LEGACY_ANNOTATION_SOURCE

          public static final java.lang.String LEGACY_ANNOTATION_SOURCE

      See Also:
        Constant Field Values

    - #### PATTERN_FQN_KEY

          public static final java.lang.String PATTERN_FQN_KEY

      See Also:
        Constant Field Values

    - #### ECORE_ANNOTATION

          public static final java.lang.String ECORE_ANNOTATION

      See Also:
        Constant Field Values

    - #### SETTING_DELEGATES_KEY

          public static final java.lang.String SETTING_DELEGATES_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### newSingleValueFeature

          public static SingleValueQueryBasedFeature newSingleValueFeature(org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                           boolean keepCache)

    - #### newMultiValueFeatue

          public static MultiValueQueryBasedFeature newMultiValueFeatue(org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                        boolean keepCache)

    - #### newSumFeature

          public static SumQueryBasedFeature newSumFeature(org.eclipse.emf.ecore.EStructuralFeature feature)

    - #### checkEcoreAnnotation

          public static boolean checkEcoreAnnotation(org.eclipse.emf.ecore.EPackage pckg,
                                                     org.eclipse.emf.ecore.EStructuralFeature feature,
                                                     java.lang.String patternFQN,
                                                     boolean useModelCode)

    - #### checkEcorePackageAnnotation

          public static boolean checkEcorePackageAnnotation(org.eclipse.emf.ecore.EPackage pckg)

    - #### checkFeatureAnnotation

          public static boolean checkFeatureAnnotation(org.eclipse.emf.ecore.EStructuralFeature feature,
                                                       java.lang.String patternFQN)